# Interface ParticleGPUTweenKeyframe<T>

interface ParticleGPUTweenKeyframe<T extends number | THREE.Vector3> {
times: number[];
values: T[];
}

#### Type Parameters

- T extends number | THREE.Vector3

- Defined in lib/vfx/particle-gpu/utils.ts:27

##### Index

### Properties

times
values

## Properties

### times

times: number[]

- Defined in lib/vfx/particle-gpu/utils.ts:28

### values

values: T[]

- Defined in lib/vfx/particle-gpu/utils.ts:29